Subject: bug#20190: Building emacs-24.4 against GCC-5.0

From: Petr Hracek <[email-masked]>
Date: Wed, 25 Mar 2015 13:27:17 +0100

On 03/24/2015 06:38 PM, Paul Eggert wrote:
> This bug is news to us.  Do you get the same problem with the emacs-24 
> branch on Savannah (currently at commit 
> ad89f85067d068494009948e76f89c902f043513 dated Mon Mar 23 18:39:38 
> 2015 +0200).  A rawhide-related patch was installed on March 23, and 
> it's better to use the latest version.
>
> If the emacs-24 branch doesn't build, please configure and build with 
> "./configure CFLAGS='-g3 -O0' ..." and send us the backtrace from a 
> core dump.  You should be do that via:
>
> $ cd src
> $ gdb temacs
> ...
> (gdb) source .gdbinit
> ...
> (gdb) run --batch --load loadup bootstrap
> ...
> (gdb) bacjktrace
Hi Paul,

thanks for information.
Currently now I am not able to get even core dump. Now core.<number> 
file exists.
in src directory I have only temacs binary and really huge emacs data 
file (around 1 GB)

Built under mock (in Fedora 22)
# ls -la src/emacs
-rwxr-xr-x 1 root root 1461850828 Mar 25 13:24 src/emacs
#

Dumping under the name emacs
Makefile:830: recipe for target 'bootstrap-emacs' failed
make[2]: *** [bootstrap-emacs] Segmentation fault (core dumped)
make[2]: Leaving directory '/builddir/build/BUILD/emacs-24.5/src'
Makefile:398: recipe for target 'src' failed
make[1]: *** [src] Error 2
make[1]: Leaving directory '/builddir/build/BUILD/emacs-24.5'
Makefile:1086: recipe for target 'bootstrap' failed
make: *** [bootstrap] Error 2

Starting program: /builddir/build/BUILD/emacs-24.5/src/temacs --batch 
--load loadup bootstrap
Error in re-setting breakpoint 1: Cannot access memory at address 0x17a563
Error in re-setting breakpoint 2: Cannot access memory at address 0x19f9ef
Error in re-setting breakpoint 1: Cannot access memory at address 0x17a563
Error in re-setting breakpoint 2: Cannot access memory at address 0x19f9ef
Missing separate debuginfos, use: debuginfo-install 
glibc-2.21.90-7.fc23.x86_64
warning: Probes-based dynamic linker interface failed.
Reverting to original interface.

process 689 is executing new program: /proc/689/exe
/proc/689/exe: No such file or directory.
(gdb) backtrace
#0  0x00007ffff7dd9ce0 in ?? ()
#1  0x0000000000000005 in ?? ()
#2  0x00007fffffffe694 in ?? ()
#3  0x00007fffffffe6c0 in ?? ()
#4  0x00007fffffffe6c8 in ?? ()
#5  0x00007fffffffe6cf in ?? ()
#6  0x00007fffffffe6d6 in ?? ()
#7  0x0000000000000000 in ?? ()

Program received signal SIGSEGV, Segmentation fault.
backtrace_top () at eval.c:187
187    {
The program being debugged was signaled while in a function called from GDB.
GDB remains in the frame where the signal was received.
To change this behavior use "set unwindonsignal on".
Evaluation of the expression containing the function
(backtrace_top) will be abandoned.
When the function is done executing, GDB will silently stop.
(gdb)

Did I miss something?

-- 
Petr Hracek
Software Engineer
Developer Experience
Red Hat, Inc
Mob: +420777056169
email: [email-masked]